netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nbp_lkup.c File Reference
`#include <netdb.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <netatalk/at.h>`
`#include <netatalk/ddp.h>`
`#include <atalk/compat.h>`
`#include <atalk/nbp.h>`
`#include <atalk/netddp.h>`
`#include <atalk/ddp.h>`
`#include "nbp_conf.h"`

## Macros
#define | SOCKLEN_T unsigned int

## Functions
int | nbp_lookup (const char *obj, const char *type, const char *zone, struct nbpnve *nn, int nncnt, const struct at_addr *ataddr)
int | nbp_do_lookup_op (const char *obj, const char *type, const char *zone, struct nbpnve *nn, int nncnt, const struct at_addr *srcaddr, const struct at_addr *dstaddr, uint8_t opop)

## Macro Definition Documentation

## ◆ SOCKLEN_T

#define SOCKLEN_T unsigned int

## Function Documentation

## ◆ nbp_do_lookup_op()

int nbp_do_lookup_op | ( | const char * | obj,
|  | const char * | type,
|  | const char * | zone,
|  | struct nbpnve * | nn,
|  | int | nncnt,
|  | const struct at_addr * | srcaddr,
|  | const struct at_addr * | dstaddr,
|  | uint8_t | op )

## ◆ nbp_lookup()

int nbp_lookup | ( | const char * | obj,
|  | const char * | type,
|  | const char * | zone,
|  | struct nbpnve * | nn,
|  | int | nncnt,
|  | const struct at_addr * | ataddr )